#####################
# Hardcode PLF build
%define build_plf 0
#####################

%if %{build_plf}
%define distsuffix plf
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%endif

Summary:	MPD, the Music Player Daemon
Name:		mpd
Version:	0.19.9
Release:	1%{?extrarelsuffix}
License:	GPLv2+
Group:		Sound
Url:		http://www.musicpd.org/
Source0:	http://www.musicpd.org/download/mpd/%{version}/%{name}-%{version}.tar.xz
Source1:	%{name}.conf
Source2:	%{name}.tmpfiles.d
Source3:	%{name}.logrotate
Source4:	README.urpmi
Source100:	%{name}.rpmlintrc
BuildRequires:	avahi-common-devel
BuildRequires:	boost-devel
BuildRequires:	ffmpeg-devel
%if %{build_plf}
BuildRequires:	lame-devel
BuildRequires:	libfaad2-devel
%endif
BuildRequires:	libgme-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	wildmidi-devel
BuildRequires:	pkgconfig(adplug)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(atomic_ops)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libffado)
BuildRequires:	pkgconfig(libiso9660)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libmms)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libnfs)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libsidplay2)
BuildRequires:	pkgconfig(libsidutils)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libsystemd-daemon)
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(shout)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(yajl)
BuildRequires:	pkgconfig(zziplib)
Requires(pre,post):	rpm-helper
Requires(preun,postun):	rpm-helper
Requires(post):		systemd

%description
Music Player Daemon (MPD) allows remote access for playing music (MP3, Ogg
Vorbis, FLAC, Mod, and wave files) and managing play-lists. MPD is designed
for integrating a computer into a stereo system that provides control for music
playback over a local network. It is also makes a great desktop music player,
especially if you are a console junkie, like front-end options, or restart X
often.

%if %{build_plf}
This package is in Restricted repository because it is built with AAC support
of libfaad2, which is patent-protected.
%endif

%files
%doc AUTHORS COPYING README NEWS doc/mpdconf.example doc/*.urpmi
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_tmpfilesdir}/mpd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(-,mpd,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%defattr(644,mpd,audio)
%attr(755,mpd,audio) %dir %{_localstatedir}/lib/mpd
%attr(755,mpd,audio) %dir %{_localstatedir}/lib/mpd/music
%attr(755,mpd,audio) %dir %{_localstatedir}/lib/mpd/playlists
%ghost %{_localstatedir}/lib/mpd/mpd.db
%ghost %{_localstatedir}/lib/mpd/mpdstate
%ghost %attr(755,mpd,audio) %dir /var/log/mpd
%ghost %attr(755,mpd,audio) %dir /var/run/mpd
%ghost /var/log/mpd/mpd.log
%ghost /var/log/mpd/mpd.error
%attr(644,root,root) /lib/systemd/system/%{name}.service
%attr(644,root,root) /lib/systemd/system/%{name}.socket

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false
usermod -g audio %{name}

%post
if [ $1 -eq 1 ]
then
%create_ghostfile %{_localstatedir}/lib/mpd/mpd.db mpd audio 644
%create_ghostfile %{_localstatedir}/lib/mpd/mpdstate mpd audio 644
%create_ghostfile %{_localstatedir}/log/mpd/mpd.log mpd audio 644
%create_ghostfile %{_localstatedir}/log/mpd/mpd.error mpd audio 644
fi
%tmpfiles_create %{_tmpfilesdir}/mpd.conf
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -vfi
# Mad and sidplay option make the build to fail
%configure2_5x \
	--with-systemdsystemunitdir=%{_unitdir} \
	--with-zeroconf=auto \
	--enable-alsa \
	--enable-ao \
	--enable-audiofile \
	--enable-cdio-paranoia \
	--enable-curl \
	--enable-expat \
	--enable-flac \
	--enable-ffmpeg \
	--enable-fluidsynth \
	--enable-gme \
	--enable-icu \
	--enable-id3 \
	--enable-iso9660 \
	--enable-jack \
	--enable-soundcloud \
	--enable-lsr \
	--disable-mad \
	--enable-mikmod \
	--enable-mms \
	--enable-modplug \
	--enable-mpg123 \
	--enable-nfs \
	--enable-openal \
	--enable-opus \
	--enable-pulse \
	--enable-recorder-output \
	--disable-roar \
	--enable-shout \
	--disable-sidplay \
	--enable-smbclient \
	--enable-sndfile \
	--enable-twolame-encoder \
	--enable-upnp \
	--enable-vorbis \
	--enable-vorbis-encoder \
	--enable-wave-encoder \
	--enable-wavpack \
	--enable-wildmidi \
	--enable-zzip \
%if !%{build_plf}
	--disable-aac \
	--disable-lame-encoder \
	--disable-mp4v2 \
%endif
	--enable-sqlite
%make


%install
%makeinstall_std

mkdir -p %{buildroot}%{_localstatedir}/lib/mpd
touch %{buildroot}%{_localstatedir}/lib/mpd/mpd.db
touch %{buildroot}%{_localstatedir}/lib/mpd/mpdstate
mkdir -p %{buildroot}%{_localstatedir}/log/mpd
touch %{buildroot}%{_localstatedir}/log/mpd/mpd.log
touch %{buildroot}%{_localstatedir}/log/mpd/mpd.error
mkdir -p %{buildroot}%{_localstatedir}/run/mpd
mkdir -p %{buildroot}%{_localstatedir}/lib/mpd/playlists
mkdir -p %{buildroot}%{_localstatedir}/lib/mpd/music
mkdir -p %{buildroot}/lib/systemd/system

install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/mpd.conf
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -m 644 %{SOURCE4} doc/README.urpmi
rm -rf %{buildroot}%{_docdir}/mpd

install -p -D -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/mpd.conf


%changelog
* Tue Mar 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.19.9-1
+ Revision: bd8e3fe
- New version 0.19.9
- Properly handle files in /var/run


